//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//  
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class IDictionaryMain 
	{
		static void Main(string [] args)
		{
			Hashtable ht = new Hashtable();
			IDictionary id = (IDictionary)ht;
			id.Add("1", "Pierwszy");
			id.Add("2", "Drugi");
			id.Add("3", "Trzeci");
			id.Add("4", "Czwarty");
			id.Add("5", "Piąty");
			id.Add(1, "Jeden");
			id.Add(2, "Dwa");
			id.Add(3, "Trzy");
			id.Add(4, "Cztery");
			id.Add(5, "Pięć");
			foreach(DictionaryEntry de in id)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Zawiera 1: {0}", id.Contains(1));
			Console.WriteLine("Zawiera 6: {0}", id.Contains(6));
			Console.WriteLine("id[1]: {0}", id[1]);
		}
	}
}